# -*- coding: utf-8 -*-
# Copyright 2024 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
from google.cloud.essential_contacts import gapic_version as package_version

__version__ = package_version.__version__


from google.cloud.essential_contacts_v1.services.essential_contacts_service.async_client import (
    EssentialContactsServiceAsyncClient,
)
from google.cloud.essential_contacts_v1.services.essential_contacts_service.client import (
    EssentialContactsServiceClient,
)
from google.cloud.essential_contacts_v1.types.enums import (
    NotificationCategory,
    ValidationState,
)
from google.cloud.essential_contacts_v1.types.service import (
    ComputeContactsRequest,
    ComputeContactsResponse,
    Contact,
    CreateContactRequest,
    DeleteContactRequest,
    GetContactRequest,
    ListContactsRequest,
    ListContactsResponse,
    SendTestMessageRequest,
    UpdateContactRequest,
)

__all__ = (
    "EssentialContactsServiceClient",
    "EssentialContactsServiceAsyncClient",
    "NotificationCategory",
    "ValidationState",
    "ComputeContactsRequest",
    "ComputeContactsResponse",
    "Contact",
    "CreateContactRequest",
    "DeleteContactRequest",
    "GetContactRequest",
    "ListContactsRequest",
    "ListContactsResponse",
    "SendTestMessageRequest",
    "UpdateContactRequest",
)
